﻿@model IEnumerable<BeerOverFlow.Models.CountryViewModel>

@{
    ViewData["Title"] = "ListCountries";
}

<h1>Countries</h1>

<p>
    <a asp-controller="Country" asp-action="CreateCountry">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.CountryName)
            </th>
            @if (User.IsInRole("Admin"))
            {
                <th>
                    <h3> Edit</h3>
                </th>
                <th>
                    <h3> Delete</h3>
                </th>
            }

        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>

                @Html.DisplayFor(modelItem => item.CountryName)
            </td>
            @if (User.IsInRole("Admin"))
            {
                <td>
                    <a asp-action="EditCountry" asp-route-id="@item.CountryId">Edit</a>
                </td>
                <td>
                    <a asp-action="DeleteCountry" asp-route-id="@item.CountryId">Delete</a>
                </td>
            }
        </tr>
}
    </tbody>
</table>
